changeset 1828:c07349799d0b

<oerjan> cat q >bin/\'?\'
author HackBot
date Fri, 25 Jan 2013 21:23:38 +0000
parents b44abd1d6926
children e372190fa63d
files bin/?
diffstat 1 files changed, 8 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/bin/?	Fri Jan 25 21:22:49 2013 +0000
+++ b/bin/?	Fri Jan 25 21:23:38 2013 +0000
@@ -1,5 +1,12 @@
 #!/bin/sh
 topic=$(echo "$1" | tr A-Z a-z | sed "s/ *$//")
 topic1=$(echo "$topic" | sed "s/s$//")
-([ \( "$topic" = "ngevd" \) -a \( -e wisdom/ngevd \) ] && cat /dev/urandom && exit 0; ) || if [ -e "wisdom/$topic" ]; then cat "wisdom/$topic"; elif [ -e "wisdom/$topic1" ]; then cat "wisdom/$topic1"; else echo "$1? ��\(��_o)/��"; exit 1; fi
+if [ \( "$topic" = "ngevd" \) -a \( -e wisdom/ngevd \) ];
+    then cat /dev/urandom; exit 0;
+    elif [ -e "wisdom/$topic" ];
+    then cat "wisdom/$topic";
+    elif [ -e "wisdom/$topic1" ];
+    then cat "wisdom/$topic1";
+    else echo "$1? ¯\(°_o)/¯"; exit 1;
+fi